de.esprit.netsuite.server.abo.loadmeter

## Class RequestMeterABO

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.AbstractCrossPlatformObject<C,S>
      - - de.esprit.netsuite.server.core.AccessibleServerObject<C,S>
        - - de.esprit.netsuite.server.abo.AbstractABO<C,S,I>
          - - de.esprit.netsuite.server.abo.AbstractSingletonABO<ClientContext,ServerContext,AbstractLoadMeterABO>
            - - de.esprit.netsuite.server.abo.loadmeter.AbstractLoadMeterABO
              - - de.esprit.netsuite.server.abo.loadmeter.RequestMeterABO

- All Implemented Interfaces:
    Renderable, SimpleLogSupport, DeepCloneable, Dumpable, ClientObject<ClientContext>, CrossPlatformObject<ClientContext,ServerContext>, LastAccessed, AliveBusinessObject<ClientContext,ServerContext,AbstractLoadMeterABO>, RemoteLockable, PermissionControlled, ServerObject<ServerContext>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable

      public class RequestMeterABO
      extends AbstractLoadMeterABO

  This ABO measures the current requests/min count
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestMeterABO(ClientContext clientCtx)`
    `RequestMeterABO(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRenderText()`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.loadmeter.AbstractLoadMeterABO

      `clearBounds, clearCurrentValue, clearLowerBound, clearUpperBound, fitRangeToBounds, getCurrentValue, getLowerBound, getMaxValue, getMinValue, getUpperBound, initForValue, overtakeABOValues, resetRangeToInitial, roundBoundaryValue, setCurrentValue, setMaxValue, setMinValue, toDumpString, toString`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractSingletonABO

      `createEditDialog, createPrimaryKey, fetch, getRenderIcon, instantiateOnServer, isCacheResident`

    - ### Methods inherited from class de.esprit.netsuite.server.abo.AbstractABO

      `addChangeListener, clone, compareTo, copyABOValues, create, createChangeGate, createOnServer, createPermissionDefinition, deepClone, delete, deleteOnServer, drop, dropOnServer, equals, fetch, findCachedABOs, fireABOInitialized, getPermissionDefinition, getPrimaryKey, getRenderColor, getResourceName, getResourceType, getUpdateCount, hashCode, isbeingAccessed, isLockedByMe, isNumb, isOnline, isVisibleInClientMonitor, receivedUpdateEvent, refetch, removeChangeListener, setLocked, setNumb, update, update, updateOnServer`

    - ### Methods inherited from class de.esprit.netsuite.server.core.AccessibleServerObject

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

    - ### Methods inherited from class de.esprit.netsuite.netdata.AbstractCrossPlatformObject

      `checkOnClient, checkOnServer, getClientContext, getLogChannel, getServerContext, isLogDebug, isLogVerbose, isOnClient, isOnServer, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setClientContext, setLogChannel, setServerContext`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.CrossPlatformObject

      `isOnClient, isOnServer, setClientContext, setServerContext`

    - ### Methods inherited from interface de.esprit.netsuite.client.ClientObject

      `getClientContext`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

    - ### Methods inherited from interface de.esprit.common.type.Dumpable

      `toDumpString, toString`

    - ### Methods inherited from interface de.esprit.netsuite.netdata.LastAccessed

      `getLastAccessedTs, getLastAccessorId, setLastAccessorId`

- - ### Constructor Detail

    - #### RequestMeterABO

          public RequestMeterABO(ClientContext clientCtx)

    - #### RequestMeterABO

          public RequestMeterABO(ServerContext serverCtx)

  - ### Method Detail

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`
      Overrides:
        `getRenderText` in class `AbstractABO<ClientContext,ServerContext,AbstractLoadMeterABO>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.